> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy thông tin cơ bản, quan trọng của 1 Mã chứng khoán



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /symbols/{symbol}/fundamental
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /symbols/{symbol}/fundamental:
    get:
      tags:
        - Symbols
      summary: Lấy thông tin cơ bản, quan trọng của 1 Mã chứng khoán
      operationId: Symbols_GetSymbolFundamental
      parameters:
        - name: symbol
          in: path
          description: Mã chứng khoán
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.Fundamental
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.Fundamental
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Institutions.Fundamental:
      type: object
      properties:
        symbol:
          description: Mã chứng khoán
          type: string
        companyType:
          format: int32
          description: ' (General = Doanh nghiệp thông thường, Bank = Ngân hàng, Securities = Công ty chứng khoán, Fund = Quỹ, Insurance = Công ty bảo hiểm)'
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
          type: integer
        sharesOutstanding:
          format: double
          description: Số lượng cổ phiếu đang lưu hành
          type: number
        freeShares:
          format: double
          description: Số lượng cổ phiếu tự do chuyển nhượng
          type: number
        beta:
          format: double
          description: Chỉ số Beta
          type: number
        dividend:
          format: double
          description: Cổ tức
          type: number
        dividendYield:
          format: double
          description: Tỷ suất cổ tức
          type: number
        marketCap:
          format: double
          description: Giá trị vốn hóa thị trường
          type: number
        low52Week:
          format: double
          description: Giá thấp nhất 52 tuần (hay 1 năm)
          type: number
        high52Week:
          format: double
          description: Giá cao nhất 52 tuần (hay 1 năm)
          type: number
        priceChange1y:
          format: double
          description: Thay đổi giá 1 năm
          type: number
        avgVolume10d:
          format: double
          description: Khối lượng giao dịch trung bình 10 phiên gần nhất
          type: number
        avgVolume3m:
          format: double
          description: Khối lượng giao dịch trung bình 3 tháng gần nhất
          type: number
        pe:
          format: double
          description: PE
          type: number
        eps:
          format: double
          description: EPS
          type: number
        sales_TTM:
          format: double
          description: Doanh thu 4 quý liên tiếp
          type: number
        netProfit_TTM:
          format: double
          description: Lợi nhuận 4 quý liên tiếp
          type: number
        insiderOwnership:
          format: double
          description: Tỉ lệ sở hữu của ban lãnh đạo
          type: number
        institutionOwnership:
          format: double
          description: Tỉ lệ sở hữu của tổ chức
          type: number
        foreignOwnership:
          format: double
          description: Tỉ lệ sở hữu của nhà đầu tư nước ngoài
          type: number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.